Get seller's details
curl --request GET \
--url https://api.gcore.com/iam/admin/sellers/{sellerId} \
--header 'Authorization: <api-key>'import requests
url = "https://api.gcore.com/iam/admin/sellers/{sellerId}"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.gcore.com/iam/admin/sellers/{sellerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"email": "jsmith@example.com",
"full_name": "<string>",
"reseller_name": "<string>",
"company": "<string>",
"date_joined": "<string>",
"activated": true,
"deleted": true,
"phone": "<string>"
}Sellers
Get seller's details
GET
/
iam
/
admin
/
sellers
/
{sellerId}
Get seller's details
Authorizations
API key for authentication. Make sure to include the word apikey, followed by a single space and then your token.
Example: apikey 1234_abcdef
Path Parameters
Seller's ID.
Response
200 - application/json
OK.
Seller's ID.
Seller's email address.
Maximum string length:
150Seller's full name.
Maximum string length:
255Seller's reseller's name.
Seller's company.
Registration date.
Show the activation status of seller's account:
true– a seller has clicked on the activation link and has set up a password;false– a seller hasn't clicked on the activation link.
Show the deletion status of seller's account:
true– a seller has been deleted;false– a seller is active.
Seller's phone number.
Maximum string length:
30Pattern:
^[a-z0-9+\-()#, *]*$Was this page helpful?